@import '~@guildion/next/styles/component.module.scss';

.container {
  width: 100%;
  height: 100%;
  position: relative;
  &::after {
    position: sticky;
    top: 0;
    width: 100%;
    height: 800vh;
    display: block;
    content: '';
  }
  &-inner {
    position: sticky;
    position: -webkit-sticky;
    top: 0;
    z-index: 1;
    width: 100%;
    height: 100vh;
    background-color: var(--background-subm2);
  }
}

.balloons {
  position: relative;
  &-background {
    position: relative;
    width: 100%;
    height: 100vh;
    z-index: -1;
    overflow: hidden;
    &_balloon1 {
      position: absolute;
      z-index: 1;
      top: -180px;
      left: -180px;
      border-width: 25px;
      border-color: var(--element-main);
      opacity: .3;
      @include mq-up(xxl) {
        top: -100px;
        left: -100px;
      }
      @include mq-down(md) {
        border-width: 15px;
      }
      @include mq-down(fm) {
        top: -120px;
        left: -120px;
      }
    }
    &_balloon2 {
      position: absolute;
      z-index: -1;
      top: -200px;
      right: -250px;
      border-width: 25px;
      border-color: var(--element-main);
      opacity: .3;
      @include mq-down(md) {
        border-width: 15px;
      }
      @include mq-up(xxl) {
        top: -100px;
        right: -150px;
      }
      @include mq-down(fm) {
        top: -140px;
        right: -160px;
      }
    }
    &_balloon3 {
      position: absolute;
      z-index: -1;
      bottom: -200px;
      left: -250px;
      border-width: 25px;
      border-color: var(--element-main);
      opacity: .3;
      @include mq-up(xxl) {
        bottom: -50px;
        left: -100px;
      }
      @include mq-down(md) {
        border-width: 15px;
      }
      @include mq-down(fm) {
        bottom: -20px;
        left: -120px;
      }
    }
    &_balloon4 {
      position: absolute;
      z-index: -1;
      bottom: -250px;
      right: -250px;
      border-width: 25px;
      border-color: var(--element-main);
      opacity: .3;
      @include mq-up(xxl) {
        bottom: -150px;
        right: -200px;
      }
      @include mq-down(md) {
        bottom: -60px;
        right: -150px;
        border-width: 15px;
      }
      @include mq-down(fm) {
        bottom: -0px;
        right: -160px;
      }
    }
  }
  &-foreground {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    width: 100%;
    height: 100%;
    overflow: hidden;
  }
}


.icons {
  position: absolute;
  top: 100px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  width: 100%;
  height: calc(100% - 100px);
  overflow: hidden;
  &-background {
    position: relative;
    width: 100%;
    height: 100vh;
    z-index: -1;
    overflow: hidden;
    &_path1 {
      position: absolute;
      z-index: -1;
      top: 370px;
      left: calc((100vw - 400px - 300px) / 2);
      border-color: var(--element-subp1);
      opacity: .7;
    }
    &_path2 {
      position: absolute;
      z-index: -1;
      top: 430px;
      left: calc((100vw - 400px - 300px) / 2);
      border-color: var(--element-subp1);
      opacity: .7;
    }
    &_path3 {
      position: absolute;
      z-index: -1;
      top: 470px;
      left: calc((100vw - 400px - 300px) / 2);
      border-color: var(--element-subp1);
      opacity: .7;
    }
    &_path4 {
      position: absolute;
      z-index: -1;
      top: 370px;
      right: calc((100vw - 400px - 300px) / 2);
      border-color: var(--element-subp1);
      opacity: .7;
    }
    &_path5{
      position: absolute;
      z-index: -1;
      top: 420px;
      right: calc((100vw - 400px - 300px) / 2);
      border-color: var(--element-subp1);
      opacity: .7;
    }
    &_path6 {
      position: absolute;
      z-index: -1;
      top: 470px;
      right: calc((100vw - 400px - 300px) / 2);
      border-color: var(--element-subp1);
      opacity: .7;
    }
    &_icon1 {
      position: absolute;
      z-index: -1;
      top: 380px;
      left: calc((100vw - 400px - 320px) / 2);
      border-color: var(--element-subp1);
    }
    &_icon2 {
      position: absolute;
      z-index: -1;
      top: 500px;
      left: calc((100vw - 400px - 280px) / 2);
      border-color: var(--element-subp1);
    }
    &_icon3 {
      position: absolute;
      z-index: -1;
      top: 600px;
      left: calc((100vw - 400px - 300px) / 2);
      border-color: var(--element-subp1);
    }
    &_icon4 {
      position: absolute;
      z-index: -1;
      top: 380px;
      right: calc((100vw - 450px - 320px) / 2);
      border-color: var(--element-subp1);
    }
    &_icon5{
      position: absolute;
      z-index: -1;
      top: 480px;
      right: calc((100vw - 450px - 280px) / 2);
      border-color: var(--element-subp1);
    }
    &_icon6 {
      position: absolute;
      z-index: -1;
      top: 570px;
      right: calc((100vw - 450px - 300px) / 2);
      border-color: var(--element-subp1);
    }
  }
  &-foreground {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    width: 100%;
    height: 100%;
    overflow: hidden;
  }
}

.content {
  width: 100%;
  height: 100%;
  position: relative;
  &-title {
    width: calc(100% - 40px);
    max-width: 980px;
    margin: 0 auto;
    text-align: center;
    font-family: var(--default-font-family);
    font-size: 52px;
    font-weight: bold;
    line-height: 72px;
    color: var(--element-default);
    white-space: pre-wrap;
    @include mq-down(md) {
      font-size: 32px;
      line-height: 44px;
      padding-top: 0px;
    }
    & strong {
      background: linear-gradient(to left, #7ee8fa, #80ff72);
      background-clip: text;
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
    }
  }
  &-title1 {
    font-family: var(--default-font-family);
    font-size: 52px;
    font-weight: bold;
    background: linear-gradient(to left, #80ff72, #5aff15);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    display: inline-block;
    margin-right: 20px;
     @include mq-down(md) {
      font-size: 32px;
    }
  }
  &-title2 {
    font-family: var(--default-font-family);
    font-size: 52px;
    font-weight: bold;
    background: linear-gradient(to left, #7ee8fa, #80ff72);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    display: inline-block;
     @include mq-down(md) {
      font-size: 32px;
    }
  }
  &-title3 {
    font-family: var(--default-font-family);
    font-size: 52px;
    font-weight: bold;
    background: linear-gradient(to left, #34d4f0, #7ee8fa);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    display: inline-block;
    margin-left: 20px;
     @include mq-down(md) {
      font-size: 32px;
    }
  }
  &-description {
    width: calc(100% - 40px);
    max-width: 980px;
    margin: 0 auto;
    padding-top: 24px;
    text-align: center;
    font-family: var(--default-font-family);
    font-size: 20px;
    color: var(--element-default);
    @include mq-down(md) {
      font-size: 16px;
      line-height: 32px;
      padding-top: 12px;
    }
  }
  &-button {
    width: 320px !important;
    height: 54px !important;
    border-radius: 27px !important;
    margin: 0px auto;
    margin-top: 100px;
    @include mq-down(fm) {
      width: 240px !important;
    }
  }
  &-comment {
    width: calc(100% - 40px);
    max-width: 980px;
    margin: 0 auto;
    padding-top: 24px;
    display: flex;
    position: relative;
    justify-content: center;
    align-items: center;
    gap: 12px;
    @include mq-down(md) {
      padding-top: 12px;
    }
    & strong {
      position: relative;
      font-family: var(--default-font-family);
      font-size: 20px;
      color: var(--element-default);
      @include mq-down(md) {
        font-size: 16px;
        line-height: 32px;
        padding-top: 12px;
      }
      & svg {
        bottom: -14px;
        left: 0;
        position: absolute;
        right: 0;
        @include mq-down(md) {
          bottom: -8px;
        }
      }
    }
  }
  &-device {
    width: 300px;
    margin-top: 40px;
    margin-left: auto;
    margin-right: auto;
    @include mq-down(md) {
      width: 200px;
      margin-top: 60px;
    }
    @include mq-down(fm) {
      width: 200px;
      margin-top: 60px;
    }
    &_inner {
      width: 100%;
      height: 100%;
    }
    &_screen {
      background-color: var(--background-subm1);
    }
  }
}

.splash-screen {
  position: absolute;
  background-color: var(--background-subm1);
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  &_logo {
    width: 150px;
    height: 40%;
    margin-top: -120px;
    position: relative;
    @include mq-down(fm) {
      width: 80px;
      height: 32%;
    }
  }
  &_name {
    text-align: center;
    font-family: var(--default-font-family);
    font-size: 24px;
    font-weight: bold;
    color: var(--element-default);
    @include mq-down(fm) {
      font-size: 18px;
    }
  }
  &-gradient {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    width: 100%;
    height: 100%;
    background: linear-gradient(to left, #496268, #208178);
  }
  &-shadow {
    position: absolute;
    top: -200vh;
    left: -100vw;
    right: -100vw;
    bottom: 0;
    width: 300vw;
    height: 300vh;
    background: radial-gradient(rgba(0, 0, 0, 0) 30%, var(--background-subm1) 70%);
  }
  &-background {
    background: var(--background-subm1);
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    width: 100%;
    height: 100%;
  }
  &-foreground {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    background-image: linear-gradient(315deg, #04619f 0%, #000000 60%);
    &_inner {
      width: 100vw;
      height: 100vh;
      position: relative;
      display: grid;
      justify-content: center;
      align-items: center;
      grid-template-rows: 486px 486px 500px 486px 486px;
      grid-template-columns: 240px 240px 240px 486px 240px 240px 240px;
      gap: 64px;
    }
    &_content {
      position: absolute;
      bottom: 140px;
      left: 0;
      right: 0;
      width: 100%;
      margin: 0 auto;
      max-width: 720px;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      gap: 24px;
      &-title {
        font-size: 44px;
        font-family: var(--default-font-family);
        color: var(--element-default);
        text-align: center;
        font-weight: bold;
      }
      &-description {
        font-size: 16px;
        line-height: 32px;
        font-family: var(--default-font-family);
        color: var(--element-subp1);
        text-align: center;
      }
    }
    &_device-vertical {
      &_inner {
        width: 100%;
        height: 100%;
        position: relative;
      }
      &_1-1 {
        grid-area: 1 / 1;
        margin-top: -480px;
      }
      &_2-1 {
        grid-area: 2 / 1;
        margin-top: -480px;
      }
      &_3-1 {
        grid-area: 3 / 1;
        margin-top: -480px;
        width: 0;
        height: 0;
        overflow: hidden;
      }
      &_1-2 {
        grid-area: 1 / 2;
        margin-top: -640px;
      }
      &_2-2 {
        grid-area: 2 / 2;
        margin-top: -640px;
      }
      &_3-2 {
        grid-area: 3 / 2;
        margin-top: -640px;
        width: 0;
        height: 0;
        overflow: hidden;
      }
      &_1-3 {
        grid-area: 1 / 3;
        margin-top: -240px;
      }
      &_2-3 {
        grid-area: 2 / 3;
        width: 0;
        height: 0;
        overflow: hidden;
      }
      &_3-3 {
        grid-area: 3 / 3;
        width: 0;
        height: 0;
        overflow: hidden;
      }
      &_1-4 {
        grid-area: 1 / 4;
        transform: rotate(90deg);
        margin-top: 44px;
      }
      &_2-4 {
        grid-area: 2 / 4;
        width: 100%;
        height: 100%;
        position: relative;
      }
      &_3-4 {
        grid-area: 3 / 4;
        width: 0;
        height: 0;
        overflow: hidden;
      }
      &_1-5 {
        grid-area: 1 / 5;
        margin-top: -120px;
      }
      &_2-5 {
        grid-area: 2 / 5;
        width: 0;
        height: 0;
        overflow: hidden;
      }
      &_3-5 {
        grid-area: 3 / 5;
        width: 0;
        height: 0;
        overflow: hidden;
      }
      &_1-6 {
        grid-area: 1 / 6;
        margin-top: -440px;
      }
      &_2-6 {
        grid-area: 2 / 6;
        margin-top: -440px;
      }
      &_3-6 {
        grid-area: 3 / 6;
        margin-top: -440px;
        width: 0;
        height: 0;
        overflow: hidden;
      }
      &_1-7 {
        grid-area: 1 / 7;
        margin-top: -64px;
      }
      &_2-7 {
        grid-area: 2 / 7;
        margin-top: -64px;
      }
      &_3-7 {
        grid-area: 3 / 7;
        margin-top: -64px;
        width: 0;
        height: 0;
        overflow: hidden;
      }
    }
  }
  &-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
  }
}

.headline {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  &-logo {
    position: relative;
    &_name {
      margin-top: 20px;
      text-align: center;
      font-family: var(--default-font-family);
      font-size: 24px;
      color: var(--element-default);
    }
  }
  &-title {
    margin-top: 44px;
    margin-bottom: 120px;
    text-align: center;
    font-family: var(--default-font-family);
    font-weight: bold;
    font-size: 64px;
    color: var(--element-default);
  }
}

.pagination {
  width: 100%;
  height: 100%;
  position: relative;
}


.story {
  position: absolute;
  width: 600px;
  height: 740px;
  left: 0;
  right: 0;
  margin: 0 auto;
  border-radius: 10px;
  padding: 40px 40px;
  overflow: hidden;
  @include mq-down(fm) {
    width: calc(100% - 64px);
    height: 580px;
  }
  &-label {
    font-size: 24px;
    color: var(--element-default);
    font-family: var(--default-font-family);
    text-align: left;
    white-space: pre-wrap;
    word-break: break-word;
    font-weight: bold;
    opacity: .6;
    @include mq-down(fm) {
      font-size: 18px;
    }
  }
  &-title {
    padding-top: 16px;
    padding-bottom: 32px;
    font-size: 50px;
    line-height: 64px;
    color: var(--element-default);
    font-family: var(--default-font-family);
    text-align: left;
    white-space: pre-wrap;
    word-break: break-word;
    font-weight: bold;
    @include mq-down(fm) {
      padding-top: 14px;
      padding-bottom: 14px;
      font-size: 36px;
      line-height: 44px;
    }
  }
  &-comment {
    display: flex;
    position: relative;
    justify-content: flex-start;
    align-items: center;
    gap: 12px;
    & strong {
      position: relative;
      font-family: var(--default-font-family);
      font-size: 24px;
      color: var(--element-default);
      font-weight: 600;
      @include mq-down(md) {
        font-size: 18px;
        line-height: 32px;
        padding-top: 12px;
      }
      & svg {
        bottom: -14px;
        left: 0;
        position: absolute;
        right: 0;
        @include mq-down(md) {
          bottom: -8px;
        }
      }
    }
  }
  &-device {
    margin-top: -44px;
    z-index: -1;
    width: 340px;
    display: block;
    position: relative;
    margin-left: auto;
    @include mq-down(fm) {
      width: 320px;
      margin-top: -20px;
    }
    &_inner {
      width: 100%;
      height: 100%;
      position: relative;
    }
  }
}

#story1 {
  background: linear-gradient(#C10B42, #df7091);
}
#story2 {
  background: linear-gradient(#F34438, #F49E30);
}
#story3 {
  background: linear-gradient(#496BF4, #54D7FA);
}
#story4 {
  background: linear-gradient(#A29B54, #E5C989);
}